REM http://downloads.sourceforge.net/project/qwt/qwt/6.0.2/qwt-6.0.2.tar.bz2

set OSGEO4W_ROOT=C:\OSGeo4W
set P=qwt
set V=6.0.2
set B=1

set R=..\..\..\x86\release\%P%
for %%i in (doc libs devel) do (
	if not exist %R%\%P%-%%i-qt4 mkdir %R%\%P%-%%i-qt4
	copy %%i.hint %R%\%P%-%%i-qt4\setup.hint
)

set pf=%ProgramFiles(x86)%
if "%pf%"=="" set pf=%ProgramFiles%
call "%pf%\Microsoft Visual Studio 10.0\VC\vcvarsall.bat" x86
path %pf%\Microsoft Visual Studio 10.0\Common7\IDE;%PATH%
set OLDPATH=%PATH%
call "%OSGEO4W_ROOT%\bin\o4w_env.bat"
path %OLDPATH%;%OSGEO4W_ROOT%\bin;c:\cygwin\bin
echo on

copy qwtbuild.pri ..
copy qwtconfig.pri ..
copy designer.pro ..\designer
cd ..

qmake qwt.pro
if errorlevel 1 (echo qmake error & goto error)

nmake clean
if errorlevel 1 (echo make clean & goto error)

nmake release
if errorlevel 1 (echo make release & goto error)

nmake install
if errorlevel 1 (echo make install error & goto error)

cd osgeo4w

if not exist install\bin mkdir install\bin
move install\lib\qwt.dll install\bin
move install\lib\qwtmathml.dll install\bin

copy ..\COPYING %R%\%P%-doc-qt4\%P%-doc-qt4-%V%-%B%.txt
tar --remove-files -C install -cjvf %R%\%P%-doc-qt4\%P%-doc-qt4-%V%-%B%.tar.bz2 apps/qwt/doc
if errorlevel 1 goto error

copy ..\COPYING %R%\%P%-libs-qt4\%P%-libs-qt4-%V%-%B%.txt
tar -C .. -cjvf %R%\%P%-libs-qt4\%P%-libs-qt4-%V%-%B%-src.tar.bz2 ^
	osgeo4w/devel.hint ^
	osgeo4w/doc.hint ^
	osgeo4w/libs.hint ^
	osgeo4w/qwtbuild.pri ^
	osgeo4w/package32.cmd
tar --remove-files -C install -cjvf %R%\%P%-libs-qt4\%P%-libs-qt4-%V%-%B%.tar.bz2 bin/qwt.dll bin/qwtmathml.dll
if errorlevel 1 goto error

copy ..\COPYING %R%\%P%-devel-qt4\%P%-libs-qt4-%V%-%B%.txt
tar --remove-files -C install -cjvf %R%\%P%-devel-qt4\%P%-devel-qt4-%V%-%B%.tar.bz2 ^
	include/qwt ^
	lib/qwt.lib ^
	lib/qwtmathml.lib ^
	apps/Qt4/plugins/designer/qwt_designer_plugin.dll
if errorlevel 1 goto error

:error
